Mercedes Actros MP4 Stock Sound v 2.0 (1.19.x)

Stock Sound

YouTube preview

Mercedes Actros MP4 Stock Sound for 1.19.x versions

Version 2.0:
– New Equalization

Author: kriechbaum
DEF / Compatibility version: TMLocko

My Contacts:
https://www.youtube.com/user/TodoMundoLocko
https://www.facebook.com/mymodsets2

Please report any bug or any idea to make it better to us.
Have fun!

Authors: kriechbaum, TMLocko

DOWNLOAD 3 MB

12 Responses to Mercedes Actros MP4 Stock Sound v 2.0 (1.19.x)

  1. 1203 says:

    Спасибо! Хороший звук

  2. VAHID says:

    Very nice! I love this! Thanks
    But I think the original game sound of the tire and wind is better than as your sounds.

    • TodoMundoLocko says:

      Hey! Im new in mods stuffs. First I just bring this mod to work on 1.19.x, cuz a lot people sent me mensagens in my youtube channel about the compatibility (in my 1.18x video).

      The “V1” is the same that Kriechbaum “V1” ( sounds and DEF volumes)
      In the V2 version I made a new volume configurations. I think is better now (i hope…lol)

      Now, I know that the mod works for everyone and I will explore it more.

      Ty for ur opinion and sorry for my poor english!
      Take care!

  3. simaozinho says:

    dumbass this is the engine sound not the tire or wind sound LOL

    • VAHID says:

      I did not talk to you! So shut up

      the mod maker Understand my opinion perfectly.

    • TodoMundoLocko says:

      Ya man.. hes right. In a engine sound is not just a engine sound. We have all sounds about the trucks inside: tires, inside noises, crash sounds, gears, breake, wind, wiper, blink……

  4. JESAN says:

    Hi
    Love this sound but please update. It now crashes the game in 1.20 (SCS just added missing indicator sound in V1.20 a few hours ago)
    pb with dangling pointers

  5. gunther says:

    can you fixet this mod . for 1.20 ???

  6. BenzHauler says:

    please update this amazing sound mod, 1.20.X versions of ETS2 getting crash….please update. this mod gives a whole new level for the Actros

  7. Matheus says:

    Can you make it compatible with 1.21?

  8. bertug says:

    game crashed


Leave a Reply

Your email address will not be published.
Before commenting read

Human Verification: In order to verify that you are a human and not a spam bot, please enter the answer into the following box below based on the instructions contained in the graphic.